restinio::details::actual_request_handler_type_detector< Request_Handler, Extra_Data_Factory > Struct Template Reference

A metafunction for the detection of type of a request-handler. More...

`#include <traits.hpp>`

## Public Types

using | request_handler_t = Request_Handler

## Detailed Description

template<typename Request_Handler, typename Extra_Data_Factory>
struct restinio::details::actual_request_handler_type_detector< Request_Handler, Extra_Data_Factory >

A metafunction for the detection of type of a request-handler.

Since
  v.0.6.13

Definition at line 105 of file traits.hpp.

## Member Typedef Documentation

## request_handler_t

template<typename Request_Handler , typename Extra_Data_Factory >

using restinio::details::actual_request_handler_type_detector< Request_Handler, Extra_Data_Factory >::request_handler_t = Request_Handler

Definition at line 115 of file traits.hpp.

The documentation for this struct was generated from the following file:

- restinio/traits.hpp